Skip to main content
GET
/
v1
/
channels
/
{channelId}
/
conversations
/
{conversationId}
/
messages
cURL
curl --request GET \
  --url https://api.goevery.co/v1/channels/{channelId}/conversations/{conversationId}/messages \
  --header 'Authorization: Bearer <token>'
{
  "messages": [
    {
      "name": "channels/6633a1b2c4d5e6f7a8b9c0d1/conversations/664fa2b3c4d5e6f7a8b9c0d2/messages/665ab3c4d5e6f7a8b9c0d3e4",
      "createTime": "2026-04-03T10:00:00Z",
      "status": "SENDING",
      "contentType": "TEXT",
      "text": "Your order has been confirmed."
    }
  ],
  "nextPageToken": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

channelId
string
required

The unique identifier of the channel.

Example:

"6633a1b2c4d5e6f7a8b9c0d1"

conversationId
string
required

The unique identifier of the conversation.

Example:

"664fa2b3c4d5e6f7a8b9c0d2"

Query Parameters

pageSize
number | null

The maximum number of messages to return. Defaults to 20 if not specified. Maximum 100.

Required range: x <= 100
Example:

20

pageToken
string | null

A token to retrieve the next page of results.

Response

200 - application/json

Successfully retrieved list of messages.

messages
object[]
required

An array of messages, newest first.

nextPageToken
string | null

A token to retrieve the next page of results, if any.